osdir.com


[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Strange problem with pip2


On 1 March 2018 at 16:32, Dennis Lee Bieber <wlfraed at ix.netcom.com> wrote:
>         Note that a google search shows lots of problems apparently caused by
> the --single-version-externally-managed option.

--single-version-externally-managed is how pip calls setuptools, and
is required. It doesn't cause any problems the way pip uses it (that's
roughly what "externally managed" means, it's pip that's managing the
install). I guess the google hits were about interactions with
easy_install's (old, and as far as I know no longer recommended by
anyone) support for multiple versions being installed in parallel.

So I don't think --single-version-externally-managed is the issue
here. Unfortunately, I don't know what is (other than a general note
that if the OP is using Debian/Ubunto (they don't state either way)
then I know that those distros patch their versions of pip, so
starting with a question on a distro-specific forum might be a good
idea.

Paul